# Class WrapperMappingInfo

java.lang.Object
org.apache.catalina.mapper.WrapperMappingInfo

public class WrapperMappingInfo extends Object
Encapsulates information used to register a Wrapper mapping.

## Constructor Summary

Constructors
Constructor
Description
`WrapperMappingInfo(String mapping, Wrapper wrapper, boolean jspWildCard, boolean resourceOnly)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getMapping()`
`Wrapper`
`getWrapper()`
`boolean`
`isJspWildCard()`
`boolean`
`isResourceOnly()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### WrapperMappingInfo

public WrapperMappingInfo(String mapping, Wrapper wrapper, boolean jspWildCard, boolean resourceOnly)

## Method Details

### getMapping

public String getMapping()

### getWrapper

public Wrapper getWrapper()

### isJspWildCard

public boolean isJspWildCard()

### isResourceOnly

public boolean isResourceOnly()